% calculate the depth feature using to measure distance in SLIC algorithm
%
% Arg:
%   x, y, z is the filled depth image,
%   normal is the normal image.
% Return:
%   dist is the distance calculated using for SLIC algorithm
function dist = dist_depth2(x, y, z, normal)
    v = normal;
    v = im2double(v);
    r = v(:,:,1);
    g = v(:,:,2);
    b = v(:,:,3);

    t = (r.*x + g.*y + b.*z)./sqrt(r.*r + g.*g + b.*b + 1e-6);
    t = t(:);
    t = (t-min(t)) ./ (max(t)-min(t)+1e-6);
    h = size(normal,1);
    w = size(normal,2);
    dist = reshape(t(:), h, w);
end